<div>
  <div class="search">
    <div class="radio-group">
      <p>Chose what you want to search:</p>
      <mat-radio-group [(ngModel)]="searchDataService.searchCategory">
        <mat-radio-button class="radio-button" *ngFor="let category of categories" [value]="category">{{ category }}</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="search-items">
      <input #inputText class="search-input" type="text" placeholder="Search..." (keydown.enter)="getData(inputText.value)">
    </div>

    <app-spinner *ngIf="displaySpinner"></app-spinner>

    <div [ngSwitch]="view">
      <div *ngSwitchCase="'track'">
        <div *ngIf="searchData" class="grid-container-header track-header">
          <span></span>
          <span class="grid-header">Title</span>
          <span class="grid-header">Artist</span>
          <span class="grid-header">Album</span>
        </div>
        <div class="grid-content">
          <div class="grid-container track" *ngFor="let data of searchData; let i=index">
            <!-- <a routerLink="/{{searchService.searchCategory}}/{{data.id}}" class="grid-container" *ngFor="let data of searchData"> -->
            <i class="fas fa-caret-down" (click)="getDetails(data.id, i)"></i>
            <span class="grid-item"> {{ data.trackName }} </span>
            <span class="grid-item"> {{ data.artistName }} </span>
            <span class="grid-item"> {{ data.albumName }} </span>
            <i (click)="addToFavorites(data.id)" class="far fa-heart favourite"></i>
            <div></div>
            <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Popularity: </span> {{ searchDetails.albums[0].tracks[0].popularity }}</p>
            <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Track number: </span> {{ searchDetails.albums[0].tracks[0].trackNumber }}</p>
            <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Duration: </span> {{ searchDetails.albums[0].tracks[0].durationMs }} ms</p>
            <div></div>
            <div></div>
            <p *ngIf="detailsVisible === i" class="grid-item"> <span style="font-weight: 700"> Disc number: </span> {{  searchDetails.albums[0].tracks[0].discNumber }}</p>

          </div>

        </div>
      </div>

      <div *ngSwitchCase="'album'">
        <div *ngIf="searchData" class="grid-container-header album-header">
          <!-- <span></span> -->
          <span class="grid-header">Artist</span>
          <span class="grid-header">Album</span>
        </div>
        <div class="grid-content">
          <div class="grid-container album" *ngFor="let data of searchData">
            <!-- <i class="fas fa-caret-down"></i> -->
            <span class="grid-item"> {{ data.artistName }} </span>
            <span class="grid-item"> {{ data.albumName }} </span>
            <i (click)="addToFavorites(data.id)" class="far fa-heart favourite"></i>
          </div>
        </div>
      </div>

      <div *ngSwitchCase="'artist'">
        <div *ngIf="searchData" class="grid-container-header artist-header">
          <!-- <span></span> -->
          <span class="grid-header">Artist</span>
        </div>
        <div class="artist-content">
          <div class="grid-container artist" *ngFor="let data of searchData">
            <!-- <i class="fas fa-caret-down"></i> -->
            <span class="grid-item"> {{ data.artistName }} </span>
            <i (click)="addToFavorites(data.id)" class="far fa-heart favourite"></i>
          </div>
        </div>
      </div>
    </div>

  </div>
</div>
